
Ruby - Bug #12819

Sporadic BUG after upgrading to macOS Sierra

10/07/2016 03:59 PM - mk6488 (Mike Katholnig)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.3.1p112 (2016-04-26 revision 54768)

[x86_64-darwin15]

Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

Since upgrading to macOS Sierra, it sporadically throws up a bug when performing '$ rails test'. Restarting the terminal gets rid of the

bug for a short while but it usually keeps back in after one or two '$ rails test'

I have also noticed that my Mac takes forever to shut down. Any connection?

I have included the lated bug report

Related issues:

Is duplicate of Ruby - Bug #12804: rails console crashes on accessing db afte... Third Party's Issue

Is duplicate of Ruby - Bug #12807: [BUG] Segmentation fault at 0x00000000000110 Third Party's Issue

Is duplicate of Ruby - Misc #12781: Segmentation fault on macOS Sierra (sqlit... Third Party's Issue

History

#1 - 10/07/2016 05:28 PM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #12804: rails console crashes on accessing db after upgrading to mac sierra added

#2 - 10/07/2016 05:28 PM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #12807: [BUG] Segmentation fault at 0x00000000000110 added

#3 - 10/07/2016 05:30 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

- Assignee deleted (mk6488 (Mike Katholnig))

Seems like that sqlite3 (or the binding for it) has been broken on the new mac OS.

#4 - 10/19/2016 11:14 AM - shyouhei (Shyouhei Urabe)

- Is duplicate of Misc #12781: Segmentation fault on macOS Sierra (sqlite3_adapter.rb) added

Files
